#### 3.17.22 M68hc1x Options

These are the ‘`-m`’ options defined for the 68hc11 and 68hc12 microcontrollers. The default values for these options depends on which style of microcontroller was selected when the compiler was configured; the defaults for the most common choices are given below.

`-m6811`
`-m68hc11`
  Generate output for a 68HC11. This is the default when the compiler is configured for 68HC11-based systems.
`-m6812`
`-m68hc12`
  Generate output for a 68HC12. This is the default when the compiler is configured for 68HC12-based systems.
`-m68S12`
`-m68hcs12`
  Generate output for a 68HCS12.
`-mauto-incdec`
  Enable the use of 68HC12 pre and post auto-increment and auto-decrement addressing modes.
`-minmax`
`-mnominmax`
  Enable the use of 68HC12 min and max instructions.
`-mlong-calls`
`-mno-long-calls`
  Treat all calls as being far away (near). If calls are assumed to be far away, the compiler will use the `call` instruction to call a function and the `rtc` instruction for returning.
`-mshort`
  Consider type `int` to be 16 bits wide, like `short int`.
`-msoft-reg-count=`count
  Specify the number of pseudo-soft registers which are used for the code generation. The maximum number is 32. Using more pseudo-soft register may or may not result in better code depending on the program. The default is 4 for 68HC11 and 2 for 68HC12.